package com.huimv.env.common.service.impl;

import com.huimv.env.common.dao.entity.EnvSprayTimeEntity;
import com.huimv.env.common.dao.repo.EnvSprayTimeEntityRepo;
import com.huimv.env.common.service.ISprayTimeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import javax.swing.text.html.Option;
import javax.xml.ws.ServiceMode;
import java.util.List;
import java.util.Optional;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class SprayTimeServiceImpl implements ISprayTimeService {
    @Autowired
    private EnvSprayTimeEntityRepo envSprayTimeEntityRepo;

    @Override
    public String getSprayTimeByDeviceCode(String deviceCode) {
        EnvSprayTimeEntity envSprayTimeEntity = new EnvSprayTimeEntity();
        envSprayTimeEntity.setDeviceCode(deviceCode);
        Example<EnvSprayTimeEntity> example = Example.of(envSprayTimeEntity);
        List<EnvSprayTimeEntity> envSprayTimeEntityList = envSprayTimeEntityRepo.findAll(example);
        StringBuilder timeBuilder = new StringBuilder();
        for(EnvSprayTimeEntity sprayTimeEntity:envSprayTimeEntityList){
            //开始分秒
            if(sprayTimeEntity.getOpenTime() != null && sprayTimeEntity.getOpenTime().trim().length() > 0){
                if(timeBuilder.length()>0){
                    timeBuilder.append(",");
                }
                timeBuilder.append(sprayTimeEntity.getOpenTime());
            }
            //持续时间
            if(sprayTimeEntity.getDuration() != null && sprayTimeEntity.getDuration() > 0){
                if(timeBuilder.length()>0){
                    timeBuilder.append(",");
                }
                timeBuilder.append(sprayTimeEntity.getDuration());
            }
            //
            if(sprayTimeEntity.getOpenMode() != null && sprayTimeEntity.getOpenMode().trim().length() > 0){
                if(timeBuilder.length()>0){
                    timeBuilder.append(",");
                }
                timeBuilder.append(sprayTimeEntity.getOpenMode());
            }
        }
        return timeBuilder.toString();
    }
}
